Subject: bug#71499: [PATCH] Make whitespace.el cleanup add missing final newline

From: Eli Zaretskii <[email-masked]>
Date: Wed, 12 Jun 2024 12:41:33 +0300

> Date: Wed, 12 Jun 2024 11:04:18 +0200
> From: Björn Lindström <[email-masked]>
> Cc: [email-masked]
> 
> On Wed, Jun 12, 2024, at 09:46, Eli Zaretskii wrote:
> >> Date: Tue, 11 Jun 2024 20:16:03 +0200
> >> From: Björn Lindström <[email-masked]>
> >> 
> > This is an incompatible change of behavior on behalf of
> > whitespace-cleanup, so I don't think we can accept it as in this patch
> > (or the next one you sent).  Se we'd need some new user option, by
> > default off, to turn on this new feature.  Or maybe a new action for
> > whitespace-action?
> >
> > Thanks.
> 
> Hello,
> 
> I thought about that, but since whitespace-cleanup generally applies clean-up according to white-space style, I thought it was simply an oversight that it doesn't apply a fix when it is set to highlight missing end-of-file newline.
> 
> Adding a separate way to configure this removes the simplicity of configuring your preferred whitespace-style as a single option.
> 
> However, If you still disagree I can make another patch somehow maintains the old behaviour as the default, so just let me know.

Let's see what others think, and take it from there.

Stefan, Andrea: WDYT about this change?